Subject: Re: MIPS Magnum 4000 parts

From: [email-masked] (Rogier Wolff)
Date: Thu, 12 Aug 93 08:21:31 +0200

> The trick is that EISA and ISA are completely different, however through
> an engineering trick they managed to put the two conectors in the same place
> in such a way that there wouldn't be a motherboard realestate penalty for
> having both busses.

On second though, I can't substantiate the "completely different" part.
I just don't know. However the fact that someone has an EISA system, which
will take ISA cards doesn't mean that the ARCset supports the ISA part on
the EISA connectors. 

Note that from what I've heard, a large portion of the price difference
between a simple 486 board and an EISA board comes from the EISA 
connectors (i.e. they are -=* very *=- expensive).

					Roger.

---

From: [email-masked] (Andrew Dyer)
Date: Thu, 12 Aug 93 07:23 PDT

Date: Thu, 12 Aug 93 08:21:31 +0200
   From: [email-masked] (Rogier Wolff)
   Sender: [email-masked]
   Reply-To: [email-masked]

EISA basically adds another 16 data bits to the 16 on the ISA bus
using a mechanical trick with the connector.  They also add some
specific EISA control signals.  The main "good thing" about EISA is
that all of the bus signals are sampled relative to a clock (no async
bus bullshit!).

The main trick is that since the ISA bus is asynchronous, all they had
to do was send out the correct signals at the correct clock periods,
and most ISA cards should work.  EISA supports ISA xfers to or from
other ISA boards, EISA boards, and/or platform resources.  EISA has
slot specific I/O addressing for EISA cards, and can arbitrate for the
bus using something other than the DMA controller :-o (although that
is supported).  EISA supports fast 8/16/32 bit cycles to memory, and
fast 8/16 bit cycles to I/O.  EISA has burst xfer modes.

--------------------------------------Ich mo"chte ein Eisba"r sein!
(1) [email-masked]
(2) [email-masked]